// ///////////////////////////////////////////////////////////////////////////////////////////
// lightweight AJAX parser - fully asynch object save - just one function ;o)
// Author: Arne J. Schmid
//
// parameters:
// url - url to get the xml from
// callFunc - your personal callback function, receiving the xml data
// user - user defined data, passed to your callback function.
//
// * // the definition template for your callback function:
// * // function myCBFunc(xmlData, user)
//
// * // parameters:
// * // xmlData - the xml object, received from the loadXmlDoc
// * // user - the user defined data, passed to the loadXMLDoc function in the user field.

function loadXMLDoc(url, callFunc, user, type) {

	//var xmlRequestObj = window.XMLHttpRequest?new XMLHttpRequest():new ActiveXObject("Microsoft.XMLHTTP")
	var xmlRequestObj = new ActiveXObject("Microsoft.XMLHTTP");

	if (xmlRequestObj.overrideMimeType) {
		xmlRequestObj.overrideMimeType(type);
	}

	xmlRequestObj.onreadystatechange = function() {
		if (xmlRequestObj.readyState == 4 && (xmlRequestObj.status == 200 || xmlRequestObj.status == 304)) {
			if(type == "text/xml")
				callFunc(xmlRequestObj.responseXML, user);
			else
				callFunc(xmlRequestObj.responseText, user);
			delete xmlRequestObj;
		}
	};
	xmlRequestObj.open("GET", url, true);
	xmlRequestObj.send(null);
}